package com.ruoyi.project.affair.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 对讲机管理对象 t_intercom
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public class TIntercom extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private Long serialnumber;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String devno;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String devtype;

    /** 领用部门 */
    @Excel(name = "领用部门")
    private String recvdept;

    /** 固定资产编号 */
    @Excel(name = "固定资产编号")
    private String fixedassetsno;

    /** S/N */
    @Excel(name = "S/N")
    private String serialno;

    /** 资产所属成本中心 */
    @Excel(name = "资产所属成本中心")
    private String costcenter;

    /** 领用人 */
    @Excel(name = "领用人")
    private String receiver;

    /** EU编号 */
    @Excel(name = "EU编号")
    private String euno;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialnumber(Long serialnumber)
    {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber()
    {
        return serialnumber;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setDevtype(String devtype)
    {
        this.devtype = devtype;
    }

    public String getDevtype()
    {
        return devtype;
    }
    public void setRecvdept(String recvdept)
    {
        this.recvdept = recvdept;
    }

    public String getRecvdept()
    {
        return recvdept;
    }
    public void setFixedassetsno(String fixedassetsno)
    {
        this.fixedassetsno = fixedassetsno;
    }

    public String getFixedassetsno()
    {
        return fixedassetsno;
    }
    public void setSerialno(String serialno)
    {
        this.serialno = serialno;
    }

    public String getSerialno()
    {
        return serialno;
    }
    public void setCostcenter(String costcenter)
    {
        this.costcenter = costcenter;
    }

    public String getCostcenter()
    {
        return costcenter;
    }
    public void setReceiver(String receiver)
    {
        this.receiver = receiver;
    }

    public String getReceiver()
    {
        return receiver;
    }
    public void setEuno(String euno)
    {
        this.euno = euno;
    }

    public String getEuno()
    {
        return euno;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("serialnumber", getSerialnumber())
            .append("devno", getDevno())
            .append("devtype", getDevtype())
            .append("recvdept", getRecvdept())
            .append("fixedassetsno", getFixedassetsno())
            .append("serialno", getSerialno())
            .append("costcenter", getCostcenter())
            .append("receiver", getReceiver())
            .append("euno", getEuno())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
